package com.gic.enterprise.service;

import java.util.List;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.EnterpriseInitDTO;

/**
 * @author guojx
 * @date 2019/7/18 11:04 AM
 */
public interface EnterpriseInitApiService {
    /**
     * 新建会员卡初始化
     * @Title: addMemberCardInitConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> addMemberCardInitConfig(Integer enterpriseId);
    /**
     * 新建会员等级初始化
     * @Title: addMemberGradeInitConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> addMemberGradeInitConfig(Integer enterpriseId);

    /**
     * 新建积分策略
     * @Title: addIntegralStrategyInitConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> addIntegralStrategyInitConfig(Integer enterpriseId);
    /**
     * 绑定一个服务号初始化
     * @Title: bindServiceNumberInitConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> bindServiceNumberInitConfig(Integer enterpriseId);
    /**
     * 完善自动回复配置
     * @Title: perfectAutoReplyConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> perfectAutoReplyConfig(Integer enterpriseId);
    /**
     * 完善自定义菜单配置
     * @Title: perfectMenuConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> perfectMenuConfig(Integer enterpriseId);
    /**
     * 绑定小程序
     * @Title: bindWeChat 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> bindWeChat(Integer enterpriseId);
    /**
     * 完成小程序页面装修
     * @Title: perfectWeChatPage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> perfectWeChatPage(Integer enterpriseId);
    /**
     * 至少新建一个门店域
     * @Title: createStoreRegion 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> createStoreRegion(Integer enterpriseId);
    /**
     * 配置本商户需要的门店状态、门店类型
     * @Title: setStoreStatusAndType 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> setStoreStatusAndType(Integer enterpriseId);
    /**
     * 至少新建一个店招品牌
     * @Title: createStoreBrand 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> createStoreBrand(Integer enterpriseId);
    /**
     * 至少新建一个门店启用状态策略
     * @Title: createStoreStatusStrategy 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> createStoreStatusStrategy(Integer enterpriseId);
    /**
     * 至少新建一个归属策略
     * @Title: createBelongStrategy 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> createBelongStrategy(Integer enterpriseId);

    /**
     * 配置并保存用户合并策略
     * @Title: configUserMergeStrategy 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> configUserMergeStrategy(Integer enterpriseId);

    /**
     * 完成有效订单的配置
     * @Title: configEffectiveOrder 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> configEffectiveOrder(Integer enterpriseId);

    /**
     * 完成实付的配置
     * @Title: configPay 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> configPay(Integer enterpriseId);
    /**
     * 短信业务配置初始化
     * @Title: shortMessageServiceConfig 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> shortMessageServiceConfig(Integer enterpriseId);

    /**
     * 至少启用一个会员卡字段
     * @Title: enableMemberCardField 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> enableMemberCardField(Integer enterpriseId);

    /**
     * 初始化会员卡的短信模板
     * @param enterpriseId
     * @return
     */
    ServiceResponse<Void> initMemberCardSmsTemplate(Integer enterpriseId);

    /**
     * 完善小程序进入管理卡的配置
     * @Title: completeManagerCardConfig 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> completeManagerCardConfig(Integer enterpriseId);

    /**
     * 状态改为未初始化状态
     * @Title: unInitByConfigCode 
     * @Description:
      * @author guojuxing
     * @param configCode
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> unInitByConfigCode(String configCode, Integer enterpriseId);

    /**
     * 根据code查询记录
     * @Title: getByConfigCode 
     * @Description:
      * @author guojuxing
     * @param configCode
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.EnterpriseInitDTO> 
      */
    ServiceResponse<EnterpriseInitDTO> getByConfigCode(String configCode, Integer enterpriseId);

    /**
     * 查询列表
     * @Title: listByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.EnterpriseInitDTO>> 
      */
    ServiceResponse<List<EnterpriseInitDTO>> listByEnterpriseId(Integer enterpriseId);

    /**
     * 本来应该是新建商户的时候初始化数据。但是因为会调整，所以进行手工初始化
     * @Title: initEnterpriseData 
     * @Description:
     * @author guojuxing
     * @param enterpriseIdList 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> initEnterpriseData(List<Integer> enterpriseIdList);

}
