package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.EnterpriseWhiteListDTO;

public interface EnterpriseWhiteListApiService {


    /**
     * 新增商户白名单
     * @Title: saveEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> saveEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 解除白名单
     * @Title: removeEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> removeEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 分页查询白明答
     * @param search 商户名称/公司名称
     * @return
     */
    ServiceResponse<Page<EnterpriseWhiteListDTO>> pageEnterpriseWhiteList(String search, Integer currentPage, Integer pageSize);

    /**
     * 是否在白名单内
     * @param enterpriseId
     * @return
     */
    ServiceResponse<Boolean> existEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 账户余额
     * @Title: getEnterpriseBalance 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Double> 
     */
    ServiceResponse<Double> getEnterpriseBalance(Integer enterpriseId);
}
