package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabBillingEnterpriseSmsPackageMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseSmsPackageId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseSmsPackageId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingEnterpriseSmsPackage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingEnterpriseSmsPackage record);

    /**
     * 根据主键查询
     *
     * @param enterpriseSmsPackageId 主键
     * @return 实体对象
     */
    TabBillingEnterpriseSmsPackage selectByPrimaryKey(Integer enterpriseSmsPackageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingEnterpriseSmsPackage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingEnterpriseSmsPackage record);

    List<TabBillingEnterpriseSmsPackage> listEnterpriseSmsPackage(@Param("enterpriseId") Integer enterpriseId,
                                                                  @Param("status") Integer status,
                                                                  @Param("search") String search,
                                                                  @Param("startDate") String startDate,
                                                                  @Param("endDate") String endDate);

    List<TabBillingEnterpriseSmsPackage> listEnterpriseSmsPackageNoStatus(@Param("enterpriseId") Integer enterpriseId,
                                                                  @Param("status") Integer status,
                                                                  @Param("search") String search,
                                                                  @Param("startDate") String startDate,
                                                                  @Param("endDate") String endDate,
                                                                  @Param("pageNum") int pageNum,
                                                                  @Param("pageSize") int pageSize,
                                                                  @Param("totalCount") int totalCount);


    /**
     * 短信套餐包列表查询，账户总览页面统计使用
     * @Title: listSmsPackage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage> 
      */
    List<TabBillingEnterpriseSmsPackage> listSmsPackage(@Param("enterpriseId") Integer enterpriseId);

    TabBillingEnterpriseSmsPackage getEarliest(@Param("enterpriseId") Integer enterpriseId);

    Integer deduct(@Param("enterpriseSmsPackageId") Integer enterpriseSmsPackageId);

    Integer getTotalSmsInPackageByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);
}