package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStore;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabWmStoreMapper {
    /**
     * 根据主键删除
     *
     * @param wmMallStoreId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer wmMallStoreId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStore record);

    /**
     * 根据主键查询
     *
     * @param wmMallStoreId 主键
     * @return 实体对象
     */
    TabWmStore selectByPrimaryKey(Integer wmMallStoreId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStore record);
    /**
     * 验证是否重复(平台级)
     * @Title: countByParam 
     * @Description: 
     * @author guojuxing 
     * @param data
     * @param wmMallStoreId 店铺ID
     * @param dataType 1:主账号 2：wm_store_id 3:pid
     * @return  int 
     */
    int countByParam(@Param("data") String data, @Param("wmMallStoreId") Integer wmMallStoreId, @Param("dataType") Integer dataType);

    int countByStoreName(@Param("storeName") String storeName, @Param("wmMallStoreId") Integer wmMallStoreId, @Param("enterpriseId") Integer enterpriseId);

    List<TabWmStore> listWmStore(@Param("enterpriseId") Integer enterpriseId, @Param("appId") String appId, @Param("authStatus") Integer authStatus);

    TabWmStore getByWmMainAccount(String wmMainAccount);
}