package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseWhiteListDTO;
import com.gic.enterprise.entity.TabEnterpriseWhiteList;
import com.github.pagehelper.Page;

public interface EnterpriseWhiteListService {

    /**
     * 新增商户白名单
     * @Title: saveEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveEnterpriseWhiteList(EnterpriseWhiteListDTO dto);

    /**
     * 解除白名单
     * @Title: removeEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    void removeEnterpriseWhiteList(Integer enterpriseId);

    /**
     * 分页查询白明答
     * @param search 商户名称/公司名称
     * @return
     */
    Page<TabEnterpriseWhiteList> pageEnterpriseWhiteList(String search, Integer currentPage, Integer pageSize);

    /**
     * 是否在白名单内
     * @param enterpriseId
     * @return
     */
    TabEnterpriseWhiteList getEnterpriseWhiteList(Integer enterpriseId);
}
