package com.gic.enterprise.service;

import com.gic.enterprise.dto.WmStoreDTO;
import com.gic.enterprise.entity.TabWmStore;

import java.util.List;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:47 AM 
 */
public interface WmStoreService {
    /**
     * 新增
     * @Title: saveWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  java.lang.Integer 
     */
    Integer saveWmStore(WmStoreDTO wmStoreDTO);

    void modifyWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 验证是否重复(平台级)
     * @Title: validRepeat 
     * @Description:
     * @author guojuxing
     * @param data
     * @param wmMallStoreId 店铺ID
     * @param dataType 1:主账号 2：wm_store_id 3:pid
     * @return  boolean 
     */
    boolean validRepeat(String data, Integer wmMallStoreId, Integer dataType);
    /**
     * 店铺名称商户级验证重复
     * @Title: validRepeatStoreName 
     * @Description:
     * @author guojuxing
     * @param storeName
     * @param wmMallStoreId 店铺ID
     * @param enterpriseId 商户ID
     * @return  boolean 
     */
    boolean validRepeatStoreName(String storeName, Integer wmMallStoreId, Integer enterpriseId);

    TabWmStore getByWmMallStoreId(Integer wmMallStoreId);

    /**
     * 微盟主账号查询记录，因为主账号平台唯一
     * @Title: getByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.enterprise.entity.TabWmStore 
     */
    TabWmStore getByWmMainAccount(String wmMainAccount);

    List<TabWmStore> listWmStore(Integer enterpriseId);

    /**
     * 已授权店铺
     * @param enterpriseId
     * @return
     */
    List<TabWmStore> getHasAuth(Integer enterpriseId);
}
