package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabWmStoreCouponConfigMapper;
import com.gic.enterprise.dto.wm.WmStoreCouponConfigDTO;
import com.gic.enterprise.entity.TabWmStoreCouponConfig;
import com.gic.enterprise.qo.wm.CouponConfigQO;
import com.gic.enterprise.service.WmStoreCouponConfigService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("wmStoreCouponConfigService")
public class WmStoreCouponConfigServiceImpl implements WmStoreCouponConfigService{
    @Autowired
    private TabWmStoreCouponConfigMapper tabWmStoreCouponConfigMapper;

    @Override
    public void saveCouponConfig(WmStoreCouponConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabWmStoreCouponConfig record = EntityUtil.changeEntityNew(TabWmStoreCouponConfig.class, dto);
        tabWmStoreCouponConfigMapper.insert(record);
    }

    @Override
    public List<TabWmStoreCouponConfig> getCouponConfig(CouponConfigQO params) {
        return tabWmStoreCouponConfigMapper.getCouponConfig(params);
    }

    @Override
    public Page<TabWmStoreCouponConfig> pageCouponConfig(CouponConfigQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabWmStoreCouponConfig> list = tabWmStoreCouponConfigMapper.getCouponConfig(params);
        return (Page<TabWmStoreCouponConfig>) list;
    }

    @Override
    public int deleteWmGicCoupon(String gicCouponId) {
        return tabWmStoreCouponConfigMapper.deleteWmGicCoupon(gicCouponId);
    }
}
